Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505944 - sys-apps/portage-2.2.8-r1 - traceback AttributeError: 'NoneType' object has no attribute 'unevaluated_atom'
Summary: sys-apps/portage-2.2.8-r1 - traceback AttributeError: 'NoneType' object has n...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-03-27 09:30 UTC by Fab
Modified: 2014-08-04 02:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fab 2014-03-27 09:30:38 UTC
I made a typo on command line, and got a traceback :

# emerge -pvuDNworld
myaction None
myopts {'--pretend': True, '--verbose': True, '--jobs': True, '--update': True, '--changelog': True, '--deep': True, '--onlydeps': True, '--resume': True, '--debug': True, '--keep-going': True, '--select': True, '--with-bdeps': 'y', '--newuse': True, '--load-average': 30.0}
myopts {'--pretend': True, '--verbose': True, '--jobs': True, '--update': True, '--changelog': True, '--deep': True, '--onlydeps': True, '--resume': True, '--debug': True, '--keep-going': True, '--select': True, '--with-bdeps': 'y', '--newuse': True, '--load-average': 30.0}


myparams {'selective': True, 'binpkg_respect_use': 'auto', 'recurse': True, 'deep': True, 'bdeps': 'y'}


These are the packages that would be merged, in order:

Calculating dependencies  
Child:         (sys-libs/cracklib-2.9.1::gentoo, ebuild scheduled for merge) USE="nls zlib -python -static-libs -test" ABI_X86="64" PYTHON_TARGETS="python2_7 -python2_6"
Traceback (most recent call last):
  File "/usr/bin/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1031, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 4062, in run_action
    emerge_config.args, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 229, in action_build
    settings, trees, mtimedb, myopts, myparams, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 8174, in resume_depgraph
    myparams, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 8197, in _resume_depgraph
    skip_masked=skip_masked)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 7708, in _loadResumeCommand
    if not self._add_pkg(task, None):
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 1945, in _add_pkg
    if dep.atom is not dep.atom.unevaluated_atom:
AttributeError: 'NoneType' object has no attribute 'unevaluated_atom'
Comment 1 Fab 2014-03-27 09:31:13 UTC
# emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.12.14 x86_64)
=================================================================
System uname: Linux-3.12.14-x86_64-Intel-R-_Core-TM-_i5-2500K_CPU_@_3.30GHz-with-gentoo-2.2
KiB Mem:     4018188 total,    832752 free
KiB Swap:    6291444 total,   6291444 free
Timestamp of tree: Thu, 27 Mar 2014 06:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0::java
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo steam-overlay java perso
Installed sets: @common-apps, @kde-apps, @portage-apps, @qemukvm, @system-apps, @xfce
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -mtune=generic -O2 -pipe -mcx16 -msahf -mpclmul -mpopcnt -mavx -msse4.2 -msse4.1 -mno-movbe -mno-aes -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx2 -mno-lzcnt -mno-rdrnd -mno-f16c -mno-fsgsbase"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=corei7-avx -mtune=generic -O2 -pipe -mcx16 -msahf -mpclmul -mpopcnt -mavx -msse4.2 -msse4.1 -mno-movbe -mno-aes -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx2 -mno-lzcnt -mno-rdrnd -mno-f16c -mno-fsgsbase"
DISTDIR="/portage/distpack/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --jobs --load-average 30 --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg clean-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://mirror.ovh.net/gentoo-distfiles/ http://mirror.ovh.net/gentoo-distfiles/"
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/portage/distpack/packages/coreIx"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/portage/trees/gentoo"
PORTDIR_OVERLAY="/portage/trees/layman/steam /portage/trees/layman/java /portage/trees/perso"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avx berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran g3dvl gdbm gif gnutls gstreamer gtk hddtemp iconv id3tag java jpeg lcms libnotify lm_sensors mad matroska mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf png policykit ppds qt3support qt4 readline sdl session sox spell sse sse2 sse3 sse4_1 ssl ssse3 startup-notification steamruntime svg tcpd theora tiff truetype udev udisks unicode upower usb v4l vaapi vdpau vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="directory fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Alexander Berntsen (RETIRED) gentoo-dev 2014-04-05 13:08:33 UTC
Thanks for the report. This is fixed in git now.
Comment 3 Brian Dolbec gentoo-dev 2014-08-04 02:12:10 UTC
released in portage-2.2.11